﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace wpf_ChartView_925948
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new List<PlotInfo> 
            {
                new PlotInfo { XCat = "x1", YVal = 1, },
                new PlotInfo { XCat = "x2", YVal = 11 },
                new PlotInfo { XCat = "x3", YVal = 17, },
                new PlotInfo { XCat = "x4", YVal = 8, },
            };
        }

        private void AxisX_RangeChanged(object sender, EventArgs e)
        {
            AxisY axis1 = (AxisY)sender;
            AxisY axis2 = this.chart1.DefaultView.ChartArea.AdditionalYAxes[0];

            axis2.MinValue = axis1.ActualMinValue;
            axis2.MaxValue = axis1.ActualMaxValue;
            axis2.Step = axis1.ActualStep;
        }
    }

    public class PlotInfo
    {
        public string XCat { get; set; }
        public double YVal { get; set; }
    }
}
